VisualEditor: [Regression wmf10] Context menus are appearing and then disappearing right after adding cite options/references/formula/image
Closed, ResolvedPublic

Description

Steps to reproduce:

1.Open a page with VE
2.Insert a cite option/references/formula/image

Observed Result:
Observe that the,context menus are appearing for these items for a second and then suddenly disappears right after adding

Environment: Betalabs


Version: unspecified
Severity: normal

bzimport set Reference to bz66855.
Ryasmeen created this task.Via LegacyJun 19 2014, 6:16 PM
Esanders added a comment.Via ConduitJun 25 2014, 11:47 AM

Verified working in master.

Esanders added a comment.Via ConduitJun 25 2014, 11:50 AM

Updated MW core and it broke, must be an OOJS regression.

gerritbot added a comment.Via ConduitJun 25 2014, 12:07 PM

Change 141940 had a related patch set uploaded by Esanders:
Revert "Accessibility: Restore element focus when a window closes"

https://gerrit.wikimedia.org/r/141940

gerritbot added a comment.Via ConduitJun 25 2014, 5:59 PM

Change 141940 merged by jenkins-bot:
Revert "Accessibility: Restore element focus when a window closes"

https://gerrit.wikimedia.org/r/141940

Ryasmeen added a comment.Via ConduitJun 26 2014, 12:38 AM

Verified the fix in Betalabs.

Ryasmeen added a comment.Via ConduitJun 26 2014, 12:38 AM

Verified the fix in Betalabs.

Ryasmeen added a comment.Via ConduitJun 27 2014, 9:12 PM

Verified the fix in test2

Ryasmeen added a comment.Via ConduitJul 7 2014, 9:10 PM

Verified the fix in production (en.wiki)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.